Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class FlushOnRedirectEventListener

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.FlushOnRedirectEventListener

All Implemented Interfaces:
  RedirectEventListener

    public class FlushOnRedirectEventListener

Flushes the session on a redirect.

Authors:
  Graeme Rocher

Since:
  1.2

Constructor Summary
`FlushOnRedirectEventListener(SessionFactory sf)`

Method Summary
`void` | `responseRedirected(java.lang.String url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FlushOnRedirectEventListener

    public FlushOnRedirectEventListener(SessionFactory sf)

Method Detail

### responseRedirected

    public void responseRedirected(java.lang.String url)

Groovy Documentation